summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2012-09-30 13:00:05 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-09-30 20:01:11 -0500
commita8141df9c3a72659ecf59a2d1b0ddbdf0d2e0423 (patch)
tree7d6139c0ab80b1635e742a2c5fe8f41aab050aa7
parent08a1b94855e9577be43b8ea841c5a493a0567875 (diff)
downloadslackbuilds-a8141df9c3a72659ecf59a2d1b0ddbdf0d2e0423.tar.gz
slackbuilds-a8141df9c3a72659ecf59a2d1b0ddbdf0d2e0423.tar.xz
system/tkdvd: Fixed (Handle desktop file)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/tkdvd/doinst.sh3
-rw-r--r--system/tkdvd/tkdvd.SlackBuild7
2 files changed, 6 insertions, 4 deletions
diff --git a/system/tkdvd/doinst.sh b/system/tkdvd/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/tkdvd/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/tkdvd/tkdvd.SlackBuild b/system/tkdvd/tkdvd.SlackBuild
index c2e47fdbbf..1c891e35d9 100644
--- a/system/tkdvd/tkdvd.SlackBuild
+++ b/system/tkdvd/tkdvd.SlackBuild
@@ -6,15 +6,13 @@
PRGNAM=tkdvd
VERSION=${VERSION:-4.0.9}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -26,7 +24,7 @@ OUTPUT=${OUTPUT:-/tmp}
PREFIX=$PKG/usr/bin
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT $PREFIX
@@ -56,6 +54,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}